/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2010
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file atparser.h
 * The interface to FSM-based COM port input analyser.
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef ATPARSER_H_SENTRY
#define ATPARSER_H_SENTRY

#include "options.h"

#if UNC001_ENABLE_AT_COMMANDS == 1

void atp_reset();
void atp_handle_char(char c);

#endif

#endif
