/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2010
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file ucd.h
 * Some defines for port-oriented operations of the device
 *
 * Written by Svyatoslav Tolchenov
 *
 */

#ifndef UCD_H_SENTRY
#define UCD_H_SENTRY

#include <avr/io.h>

#define IPORT  PINC
#define IPORT2 PINB
#define IPORT2_IN0 1
#define IPORT2_IN1 3
#define IPORT2_IN2 4
#define IPORT2_IN3 5

#define OPORT  PORTD
#define OUBIT_A 4
#define OUBIT_B 5
#define OUBIT_C 6
#define OUBIT_D 7

#define OPORT1 PORTC
#define OUBIT1_A 0
#define OUBIT1_B 1
#define OUBIT1_C 2
#define OUBIT1_D 3

#define OPORT2 PORTB
#define OUBIT2_A 1
#define OUBIT2_B 3
#define OUBIT2_C 4
#define OUBIT2_D 5

#endif
