/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2010
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file sernum.h
 * The interface to the sernum.c module.  Actually this header
 * file only handles set_sernum_debug_info functions, and replaces
 * them with macro placeholders in case they are not needed.
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef SERNUM_H_SENTRY
#define SERNUM_H_SENTRY

/* #define SUPPORT_SERNUM_DEBINFO */

#ifdef SUPPORT_SERNUM_DEBINFO
void set_sernum_debug_info(const char *info);
void set_sernum_debug_info2(uint16_t n, const char *info);
#else
#define set_sernum_debug_info(a) do{}while(0)
#define set_sernum_debug_info2(a,b) do{}while(0)
#endif

#endif
